(***********************************************************************
 * File: Env.v
 * $Revision: 12365 $
 * $Date: 2014-03-12 18:50:32 -0300 (Wed, 12 Mar 2014) $
 * $LastChangedBy: jdcampo $
 *******************************************************************
 * This file specifies what is meant by the environment of the system
 * 
 ******************************************************************)

Require Import Addressing OS.

Record context : Set :=
  Context
    {(** a virtual address is accessible, ie. it is not reserved 
         by the Hypervisor *)
       ctxt_vadd_accessible: vadd -> bool;
     (** guest Oss (Trusted/Untrusted OS) **)
       ctxt_oss : os_ident -> bool
    }.

Parameter ctxt : context.

