(***********************************************************************
 * File: Maps.v
 * $Revision: 12365 $
 * $Date: 2014-03-12 18:50:32 -0300 (Wed, 12 Mar 2014) $
 * $LastChangedBy: jdcampo $
 *************************************************************************
 * This file specifies various mappings for system state.
 * 
 *************************************************************************)
Require Export Env Dict_unbound Page.

Module Type OSS_MAP := DICT_UNBOUND
  with Definition key := os_ident
  with Definition info := os
  with Definition eq_key := os_ident_eq.

Module Type PHYSICAL_MAP := DICT_UNBOUND
  with Definition key := padd
  with Definition info := madd
  with Definition eq_key := padd_eq.

Module Type HYPERVISOR (P2M:PHYSICAL_MAP) := DICT_UNBOUND
  with Definition key := os_ident
  with Definition info := P2M.dict
  with Definition eq_key := os_ident_eq.

